class stackdriver::params {
    $stackdriver_api_key = ''
    $stackdriver_version = 'latest'
    $stackdriver_package = 'stackdriver-agent'
    
    case $::osfamily {
        'Debian': {
            $stackdriver_config = '/etc/default/stackdriver-agent'
        }

        'RedHat': {
            $stackdriver_config = '/etc/sysconfig/stackdriver'
        }
    }
}
